=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /d0/coding/notekit

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /d0/coding/notekit

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /d0/coding/notekit/CMakeFiles /d0/coding/notekit//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /d0/coding/notekit/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named notekit

# Build rule for target.
notekit: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 notekit
.PHONY : notekit

# fast build rule for target.
notekit/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/build
.PHONY : notekit/fast

#=============================================================================
# Target rules for targets named schema

# Build rule for target.
schema: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 schema
.PHONY : schema

# fast build rule for target.
schema/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/schema.dir/build.make CMakeFiles/schema.dir/build
.PHONY : schema/fast

about.o: about.cpp.o

.PHONY : about.o

# target to build an object file
about.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/about.cpp.o
.PHONY : about.cpp.o

about.i: about.cpp.i

.PHONY : about.i

# target to preprocess a source file
about.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/about.cpp.i
.PHONY : about.cpp.i

about.s: about.cpp.s

.PHONY : about.s

# target to generate assembly for a file
about.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/about.cpp.s
.PHONY : about.cpp.s

drawing.o: drawing.cpp.o

.PHONY : drawing.o

# target to build an object file
drawing.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/drawing.cpp.o
.PHONY : drawing.cpp.o

drawing.i: drawing.cpp.i

.PHONY : drawing.i

# target to preprocess a source file
drawing.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/drawing.cpp.i
.PHONY : drawing.cpp.i

drawing.s: drawing.cpp.s

.PHONY : drawing.s

# target to generate assembly for a file
drawing.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/drawing.cpp.s
.PHONY : drawing.cpp.s

imagewidgets.o: imagewidgets.cpp.o

.PHONY : imagewidgets.o

# target to build an object file
imagewidgets.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/imagewidgets.cpp.o
.PHONY : imagewidgets.cpp.o

imagewidgets.i: imagewidgets.cpp.i

.PHONY : imagewidgets.i

# target to preprocess a source file
imagewidgets.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/imagewidgets.cpp.i
.PHONY : imagewidgets.cpp.i

imagewidgets.s: imagewidgets.cpp.s

.PHONY : imagewidgets.s

# target to generate assembly for a file
imagewidgets.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/imagewidgets.cpp.s
.PHONY : imagewidgets.cpp.s

main.o: main.cpp.o

.PHONY : main.o

# target to build an object file
main.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i

.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s

.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/main.cpp.s
.PHONY : main.cpp.s

mainwindow.o: mainwindow.cpp.o

.PHONY : mainwindow.o

# target to build an object file
mainwindow.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/mainwindow.cpp.o
.PHONY : mainwindow.cpp.o

mainwindow.i: mainwindow.cpp.i

.PHONY : mainwindow.i

# target to preprocess a source file
mainwindow.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/mainwindow.cpp.i
.PHONY : mainwindow.cpp.i

mainwindow.s: mainwindow.cpp.s

.PHONY : mainwindow.s

# target to generate assembly for a file
mainwindow.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/mainwindow.cpp.s
.PHONY : mainwindow.cpp.s

navigation.o: navigation.cpp.o

.PHONY : navigation.o

# target to build an object file
navigation.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/navigation.cpp.o
.PHONY : navigation.cpp.o

navigation.i: navigation.cpp.i

.PHONY : navigation.i

# target to preprocess a source file
navigation.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/navigation.cpp.i
.PHONY : navigation.cpp.i

navigation.s: navigation.cpp.s

.PHONY : navigation.s

# target to generate assembly for a file
navigation.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/navigation.cpp.s
.PHONY : navigation.cpp.s

notebook.o: notebook.cpp.o

.PHONY : notebook.o

# target to build an object file
notebook.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/notebook.cpp.o
.PHONY : notebook.cpp.o

notebook.i: notebook.cpp.i

.PHONY : notebook.i

# target to preprocess a source file
notebook.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/notebook.cpp.i
.PHONY : notebook.cpp.i

notebook.s: notebook.cpp.s

.PHONY : notebook.s

# target to generate assembly for a file
notebook.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/notebook.cpp.s
.PHONY : notebook.cpp.s

settings.o: settings.cpp.o

.PHONY : settings.o

# target to build an object file
settings.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/settings.cpp.o
.PHONY : settings.cpp.o

settings.i: settings.cpp.i

.PHONY : settings.i

# target to preprocess a source file
settings.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/settings.cpp.i
.PHONY : settings.cpp.i

settings.s: settings.cpp.s

.PHONY : settings.s

# target to generate assembly for a file
settings.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/settings.cpp.s
.PHONY : settings.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... schema"
	@echo "... notekit"
	@echo "... about.o"
	@echo "... about.i"
	@echo "... about.s"
	@echo "... drawing.o"
	@echo "... drawing.i"
	@echo "... drawing.s"
	@echo "... imagewidgets.o"
	@echo "... imagewidgets.i"
	@echo "... imagewidgets.s"
	@echo "... main.o"
	@echo "... main.i"
