=== debian/control ===
Source: notekit
Section: text
Priority: optional
Maintainer: Matvey Soloviev <blackhole89@gmail.com>
Build-Depends: cmake, libfontconfig1-dev, zlib1g-dev, libjsoncpp-dev, libgtksourceviewmm-3.0-dev, libgtkmm-3.0-dev, debhelper-compat (= 12)
Standards-Version: 4.5.1
Homepage: https://github.com/blackhole89/notekit
#Vcs-Browser: https://salsa.debian.org/debian/notekit
Vcs-Git: https://github.com/blackhole89/notekit.git
Rules-Requires-Root: no

Package: notekit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Markdown note-taking app with tablet support and LaTeX math
