=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	rm -f Makefile
	./install-clatexmath.sh
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
	-DHAVE_CLATEXMATH=ON

override_dh_shlibdeps:
	dh_shlibdeps
	sed -i "s/libtinyxml2-6 (>= 5.0.0)/libtinyxml2-6 (>= 5.0.0) | libtinyxml2-6a (>= 5.0.0)/g" debian/notekit.substvars
